﻿using System;
using System.Windows.Input;
using System.Collections.Generic;

using Utils.Silverlight.MVVM;
using Utils.Demo.ContosoSales.MVVM.Model;

namespace Utils.Demo.ContosoSales.MVVM
{
    public interface ICustomersViewModel : IViewModel
    {
        /// <summary>
        /// Service giving access to the data.
        /// </summary>
        IDataService DataService { get; set; }

        /// <summary>
        /// Open customer command.
        /// </summary>
        ICommand OpenCustomerCommand { get; set; }

        /// <summary>
        /// Help command.
        /// </summary>
        ICommand HelpCommand { get; set; }

        /// <summary>
        /// Current customer.
        /// </summary>
        Customer SelectedCustomer { get; set; }

        /// <summary>
        /// List of customers.
        /// </summary>
        List<Customer> Customers { get; set; }
    }
}
