﻿using System;
using System.Windows.Input;
using System.Collections.Generic;

using Utils.Silverlight.MVVM;
using Utils.Demo.ContosoSales.MVVM.Model;

namespace Utils.Demo.ContosoSales.MVVM
{
    public interface ISalesTeamViewModel : IViewModel
    {
        /// <summary>
        /// Gets or sets the data service.
        /// </summary>
        /// <value>The data service.</value>
        IDataService DataService { get; set; }

        /// <summary>
        /// Open employee command.
        /// </summary>
        ICommand OpenEmployeeCommand { get; set; }

        /// <summary>
        /// Navigate to help command.
        /// </summary>
        ICommand HelpCommand { get; set; }

        /// <summary>
        /// Current employee.
        /// </summary>
        Employee SelectedEmployee { get; set; }

        /// <summary>
        /// The employees list.
        /// </summary>
        List<Employee> Employees { get; set; }
    }
}
