﻿using System;
using System.Collections.Generic;

namespace Utils.Demo.ContosoSales.MVVM.Model
{
    public interface IDataService
    {
        /// <summary>
        /// Get the list of customers.
        /// </summary>
        /// <returns></returns>
        List<Customer> GetCustomers();

        /// <summary>
        /// Get a single customer based on the id.
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Customer GetCustomerById(int id);

        /// <summary>
        /// Get the list of employees.
        /// </summary>
        /// <returns></returns>
        List<Employee> GetEmployees();

        /// <summary>
        /// Get a single employee based on the lastname.
        /// </summary>
        /// <param name="lastname"></param>
        /// <returns></returns>
        Employee GetEmployeeByLastname(string lastname);
    }
}
