﻿using System;
using System.Windows.Input;
using System.Windows.Browser;

using GalaSoft.MvvmLight.Command;

using Utils.Silverlight.MVVM;
using Utils.Demo.ContosoSales.Properties;

namespace Utils.Demo.ContosoSales.MVVM.ViewModels
{
    [ViewModelExport(typeof(IAboutViewModel), "About")]
    public class AboutViewModel : ContosoViewModelBase, IAboutViewModel
    {
        /// <summary>
        /// Gets or sets the about text.
        /// </summary>
        /// <value>The about text.</value>
        public string AboutText { get; set; }

        /// <summary>
        /// Gets or sets the View's title.
        /// </summary>
        /// <value>The View's title.</value>
        public string ViewTitle { get; set; }

        /// <summary>
        /// Gets or sets the open website command.
        /// </summary>
        /// <value>The open website command.</value>
        public ICommand OpenWebsiteCommand { get; set; }

        public AboutViewModel()
        {
            AboutText = Resources.About;
            ViewTitle = "Contoso Sales / About";
            OpenWebsiteCommand = new RelayCommand(OnShowContosoPage);               
        }

        /// <summary>
        /// Show the contoso homepage in the browser.
        /// </summary>
        private void OnShowContosoPage()
        {
            var uri = new Uri("http://en.wikipedia.org/wiki/Contoso");
            HtmlPage.PopupWindow(uri,  "", 
                    new HtmlPopupWindowOptions());
        }

        public override string GetViewTitle()
        {
            return "About";
        }
    }
}
