﻿using System;
using System.ComponentModel.Composition;

namespace Utils.Silverlight.MVVM
{
    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class ViewExportAttribute : ExportAttribute, IViewMetadata
    {
        /// <summary>
        /// Specifies the required ViewModel.
        /// </summary>
        public Type ViewModelContract { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="ViewExportAttribute"/> class.
        /// </summary>
        public ViewExportAttribute()
            : base(typeof(IView))
        {

        }
    }
}
