﻿using System;
using System.Collections.Generic;

using Utils.Silverlight.MVVM.Navigation;

namespace Utils.Silverlight.MVVM
{
    public interface IViewModel
    {
        /// <summary>
        /// Method will be called once the ViewModel is completely loaded and attached to the View.
        /// </summary>
        void OnLoaded();
        
        /// <summary>
        /// Method will be called once the navigation is done.
        /// The args will contain all arguments that were passed while navigating.
        /// </summary>
        /// <param name="args"></param>
        void OnNavigated(NavigationArguments args);

        /// <summary>
        /// Make sure each ViewModel can provide a title.
        /// </summary>
        /// <returns></returns>
        string GetTitle();
    }
}
