﻿using System;
using System.Collections.Generic;

namespace Utils.Silverlight.MVVM
{
    public interface IViewModelMetadata
    {
        /// <summary>
        /// The actual interface of the ViewModel.
        /// This type will be used to match a View to a ViewModel.
        /// </summary>
        Type ViewModelContract { get; }

        /// <summary>
        /// Specify to which navigation key this ViewModel should be mapped.
        /// Eg: 'Customers', or 'Customer/1'
        /// </summary>
        string NavigationPath { get; }

        /// <summary>
        /// This is the actual navigation key. 
        /// 'Customer/1' would have as key: 'Customer'.
        /// </summary>
        string Key { get; }
    }
}
